import json
import os
# import data
from tkinter import *
from tkinter import ttk

def loadTeams():
    path = "data/teams.json"
    teams = {}
    if os.path.exists(path):
        teams = json.loads("data/teams.json")
    return teams

class TeamsPage(Frame):
    def __init__(self, parent, controller):
        Frame.__init__(self, parent)

        teams = loadTeams()

        teamKey = StringVar()
        teamSelector = ttk.Combobox(self, textvariable=teamKey, values=list(teams.keys()))
        teamSelector.grid(column=1, row=1, sticky=(E, W))
        if len(teams) == 0:
            teamSelector.state(["readonly"])
        
        ttk.Button(self, text="New Team").grid(column=1, row=2, sticky=(E, W))

class EditTeamPage(Frame):
    def __init__(self, parent, controller, team=None):
        Frame.__init__(self, parent)
    
        teamName = StringVar()
        teamCountry = StringVar()

        if (team != None):
            teamName.set(team.name)
            teamCountry.set(team.value)
        # teamName.trace_add("write", callback=lambda val: team.__setattr__("name", val))
        # teamCountry.trace_add("write", callback=lambda val: team.__setattr__("country", val))

        ttk.Label(parent, text="Name:").grid(column=1, row=1, sticky=(E, W))
        ttk.Entry(parent, textvariable=teamName).grid(column=2, row=1, sticky=(E, W))
        ttk.Label(parent, text="Country:").grid(column=1, row=2, sticky=(E, W))
        ttk.Entry(parent, textvariable=teamCountry).grid(column=2, row=2, sticky=(E, W))
        
        ttk.Button(parent, text="Save", command=lambda: self.save(teamName.get(), teamCountry.get())).grid(column=2, row=3, sticky=(E, W))

    def save(self, name, country):
        teams = loadTeams()
        team = {
            "name": name,
            "country": country
        }
        
        # existing = False
        # for t in teams:
        #     if t.name == teams.name:
        #         t = team
        #         existing = True
        # if not existing:
        #     teams.append(team)

        teams[name] = team

        file = open("data/team.json", "w")
        file.write(json.dumps(teams))
        file.close()


